<?php

App::uses('EvShopAppModel', 'EvShop.Model');

class ProductAttributeGroup extends EvShopAppModel {

	public $validate = [
		'name' => [
			'notEmpty' => [
				'rule' => ['notBlank'],
				'message' => 'You must enter a name'
			],
		],
	];

	public $hasMany = [
		'ProductAttribute' => [
			'className' => 'EvShop.ProductAttribute'
		]
	];

/**
 * Bring in the product attributes in this group
 *
 * @param int $id The group id
 * @param array $query Any additional options
 * @return array
 */
	public function readForEdit($id, $query = []) {
		$query = Hash::merge($query, [
			'contain' => [
				'ProductAttribute'
			]
		]);

		return parent::readForEdit($id, $query);
	}

}
